[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TProcess.Terminate

Terminate a running process

## Declaration

Source position: process.pp line 121

`public function TProcess.Terminate(`
`AExitCode: Integer`
`):Boolean; virtual;`

## Arguments

`AExitCode` |  | Exit status to report (Windows only)

## Function result

0 on succes, nonzero for failure.

## Description

Terminate stops the execution of the running program. It effectively stops the program.

On Windows, the program will report an exit code of AExitCode, on other systems, this value is ignored.

## Errors

On error, a nonzero value is returned.

## See also

TProcess.ExitStatus |  | Exit status of the process.
TProcess.Suspend |  | Suspend a running process
TProcess.Execute |  | Execute the program with the given options
TProcess.WaitOnExit |  | Wait for the program to stop executing.

Documentation generated on: Feb 26 2014